<?php
/**
 * Catch Themes Demo Importer
 *
 * @package Catch_Mag
 */

/**
 * @since Catch Mag 1.0.2
 *
 */
function catch_mag_import_files() {
  $url = 'https://catchthemes.com/demo/import/catch-mag/';
  return array(
    array(
       'import_file_name'           => esc_html__( 'Free', 'catch-mag' ),
       'categories'                 => array( esc_html__( 'Free', 'catch-mag' ) ),
       'import_file_url'            => $url . 'free/demo-content.xml',
       'import_widget_file_url'     => $url . 'free/widgets.wie',
       'import_customizer_file_url' => $url . 'free/customizer.dat',
       'import_preview_image_url'   => 'https://catchthemes.com/demo/catch-mag/assets/images/free.jpg',
       'preview_url'                => 'https://catchthemes.com/demo/catch-mag-free/',
    ),
    array(
       'import_file_name'           => esc_html__( 'Premium', 'catch-mag' ),
       'categories'                 => array( esc_html__( 'Premium', 'catch-mag' ) ),
       'import_file_url'            => $url . 'pro/demo-content.xml',
       'import_widget_file_url'     => $url . 'pro/widgets.wie',
       'import_customizer_file_url' => $url . 'pro/customizer.dat',
       'import_preview_image_url'   => 'https://catchthemes.com/demo/catch-mag/assets/images/pro.jpg',
       'preview_url'                => 'https://catchthemes.com/demo/catch-mag-pro/',
       'isPro'                      => true,
       'buy_url'                    => 'https://catchthemes.com/themes/catch-mag-pro/'
    ),
    array(
       'import_file_name'           => esc_html__( 'Dark Premium', 'catch-mag' ),
       'categories'                 => array( esc_html__( 'Premium', 'catch-mag' ) ),
       'import_file_url'            => $url . 'dark/demo-content.xml',
       'import_widget_file_url'     => $url . 'dark/widgets.wie',
       'import_customizer_file_url' => $url . 'dark/customizer.dat',
       'import_preview_image_url'   => 'https://catchthemes.com/demo/catch-mag/assets/images/dark.jpg',
       'preview_url'                => 'https://catchthemes.com/demo/catch-mag-dark/',
       'isPro'                      => true,
       'buy_url'                    => 'https://catchthemes.com/themes/catch-mag-pro/'
    ),
    array(
       'import_file_name'           => esc_html__( 'Sports Premium', 'catch-mag' ),
       'categories'                 => array( esc_html__( 'Premium', 'catch-mag' ) ),
       'import_file_url'            => $url . 'sports/demo-content.xml',
       'import_widget_file_url'     => $url . 'sports/widgets.wie',
       'import_customizer_file_url' => $url . 'sports/customizer.dat',
       'import_preview_image_url'   => 'https://catchthemes.com/demo/catch-mag/assets/images/sports.jpg',
       'preview_url'                => 'https://catchthemes.com/demo/catch-mag-sports/',
       'isPro'                      => true,
       'buy_url'                    => 'https://catchthemes.com/themes/catch-mag-pro/'
    ),
    array(
       'import_file_name'           => esc_html__( 'Corporate Premium', 'catch-mag' ),
       'categories'                 => array( esc_html__( 'Premium', 'catch-mag' ) ),
       'import_file_url'            => $url . 'corporate/demo-content.xml',
       'import_widget_file_url'     => $url . 'corporate/widgets.wie',
       'import_customizer_file_url' => $url . 'corporate/customizer.dat',
       'import_preview_image_url'   => 'https://catchthemes.com/demo/catch-mag/assets/images/corporate.jpg',
       'preview_url'                => 'https://catchthemes.com/demo/catch-mag-corporate/',
       'isPro'                      => true,
       'buy_url'                    => 'https://catchthemes.com/themes/catch-mag-pro/'
    ),
    array(
       'import_file_name'           => esc_html__( 'Fashion Premium', 'catch-mag' ),
       'categories'                 => array( esc_html__( 'Premium', 'catch-mag' ) ),
       'import_file_url'            => $url . 'fashion/demo-content.xml',
       'import_widget_file_url'     => $url . 'fashion/widgets.wie',
       'import_customizer_file_url' => $url . 'fashion/customizer.dat',
       'import_preview_image_url'   => 'https://catchthemes.com/demo/catch-mag/assets/images/fashion.jpg',
       'preview_url'                => 'https://catchthemes.com/demo/catch-mag-fashion/',
       'isPro'                      => true,
       'buy_url'                    => 'https://catchthemes.com/themes/catch-mag-pro/'
    ),
  );
}
add_filter( 'cp-ctdi/import_files', 'catch_mag_import_files' );

function catch_mag_after_import_setup() {
    // Assign menus to their locations.
    $main_menu   = get_term_by( 'name', 'Main', 'nav_menu' );
    $social_menu = get_term_by( 'name', 'Social', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
            'menu-1'        => $main_menu->term_id,
            'social-footer' => $social_menu->term_id,
        )
    );
}
add_action( 'cp-ctdi/after_import', 'catch_mag_after_import_setup' );